Bug 12519 - Update request: kernel-rt-3.10.28-0.rt25.1.mga3
: Update request: kernel-rt-3.10.28-0.rt25.1.mga3
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: Security
: 3
: All Linux
: Normal Severity: critical
: ---
Assigned To: QA Team
: Sec team
:
: advisory mga3-32-ok mga3-64-ok
: validated_update
:
:
  Show dependency treegraph
 
Reported: 2014-02-02 14:42 CET by Thomas Backlund
Modified: 2014-02-10 21:28 CET (History)
2 users (show)

See Also:
Source RPM: kernel-rt-3.10.28-0.rt25.1.mga3.src.rpm
CVE:
Status comment:


Attachments

Description Thomas Backlund 2014-02-02 14:42:11 CET
Now this is mostly for squashing the recently announced critical:

x86, x32: Correct invalid use of user timespec in the kernel (CVE-2014-0038)

but it also updates to 3.10.28 to squash a few more less critical secururity issues and other bugfixes like some laptop overheating reported by some with the 3.10.24 kernel.

I will write a better advisory tomorrow, but so you can start testing:

SRPMS:
kernel-rt-3.10.28-0.rt25.1.mga3.src.rpm


i586:
kernel-rt-3.10.28-0.rt25.1.mga3-1-1.mga3.i586.rpm
kernel-rt-devel-3.10.28-0.rt25.1.mga3-1-1.mga3.i586.rpm
kernel-rt-devel-latest-3.10.28-0.rt25.1.mga3.i586.rpm
kernel-rt-doc-3.10.28-0.rt25.1.mga3.noarch.rpm
kernel-rt-latest-3.10.28-0.rt25.1.mga3.i586.rpm
kernel-rt-source-3.10.28-0.rt25.1.mga3-1-1.mga3.noarch.rpm
kernel-rt-source-latest-3.10.28-0.rt25.1.mga3.noarch.rpm


x86_64:
kernel-rt-3.10.28-0.rt25.1.mga3-1-1.mga3.x86_64.rpm
kernel-rt-devel-3.10.28-0.rt25.1.mga3-1-1.mga3.x86_64.rpm
kernel-rt-devel-latest-3.10.28-0.rt25.1.mga3.x86_64.rpm
kernel-rt-doc-3.10.28-0.rt25.1.mga3.noarch.rpm
kernel-rt-latest-3.10.28-0.rt25.1.mga3.x86_64.rpm
kernel-rt-source-3.10.28-0.rt25.1.mga3-1-1.mga3.noarch.rpm
kernel-rt-source-latest-3.10.28-0.rt25.1.mga3.noarch.rpm


Reproducible: 

Steps to Reproduce:
Comment 1 claire robinson 2014-02-06 13:57:50 CET
When testing these alternative kernels (-linus, -rt, -tmb, -vserver) it is necessary to use the dkms driver packages, dkms-nvidia* and dkms-fglrx etc. rather than the pre-built kmod packages such as nvidia-current-kernel-desktop-latest.

Pre-built kmod packages only support the specific kernel they are built for, which forms part of the package name.

Dkms packages actually build the driver on the next boot for whichever kernel you are using. It means the first boot after installing the new kernel will take longer than expected. Allow it to complete, normally a minute or couple of minutes, depending on your hardware. You can see it building if you remove "splash quiet" options from the kernel command line or press escape as it boots so you can see the text. It shows and a series of dots ". . . . ."
Comment 2 claire robinson 2014-02-06 15:59:20 CET
Testing complete mga3 32
Comment 3 Thomas Backlund 2014-02-06 19:23:38 CET
Advisory:
  This kernel update provides an update to the 3.10 longterm branch,
  currently 3.10.28 and fixes the following security issues:

  The ath9k_htc_set_bssid_mask function in 
  drivers/net/wireless/ath/ath9k/htc_drv_main.c in the Linux kernel through
  3.12 uses a BSSID masking approach to determine the set of MAC addresses
  on which a Wi-Fi device is listening, which allows remote attackers to
  discover the original MAC address after spoofing by sending a series of
  packets to MAC addresses with certain bit manipulations. (CVE-2013-4579)

  Pageexec reported a bug in the Linux kernel's recvmmsg syscall when called
  from code using the x32 ABI. An unprivileged local user could exploit this
  flaw to cause a denial of service (system crash) or gain administrator
  privileges (CVE-2014-0038)

  Faults during task-switch due to unhandled FPU-exceptions allow to
  kill processes at random on all affected kernels, resulting in local
  DOS in the end. One some architectures, privilege escalation under
  non-common circumstances is possible. (CVE-2014-1438)

  The hamradio yam_ioctl() code fails to initialise the cmd field of the
  struct yamdrv_ioctl_cfg leading to a 4-byte info leak. (CVE-2014-1446)

  Linux kernel built with the NetFilter Connection Tracking(NF_CONNTRACK)
  support for IRC protocol(NF_NAT_IRC), is vulnerable to an information
  leakage flaw. It could occur when communicating over direct
  client-to-client IRC connection(/dcc) via a NAT-ed network. Kernel
  attempts to mangle IRC TCP packet's content, wherein an uninitialised
  'buffer' object is copied to a socket buffer and sent over to the other
  end of a connection. (CVE-2014-1690)

  The -rt patch has been updated to -rt25

  For other changes, see the referenced changelogs:


References:
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.25
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.26
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.27
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.28
Comment 4 Samuel Verschelde 2014-02-10 14:35:14 CET
Testing complete Mageia 3 x86_64.
Comment 5 claire robinson 2014-02-10 15:42:38 CET
Advisory uploaded. Validating.

Could sysadmin please push to 3 updates

Thanks
Comment 6 Thomas Backlund 2014-02-10 21:28:40 CET
Update pushed:
http://advisories.mageia.org/MGASA-2014-0044.html

Note You need to log in before you can comment on or make changes to this bug.